import { type Account, type Address, type Chain, type Client, type Hex, type PublicClient, type SendTransactionRequest, type SendTransactionReturnType, type Transport, type WalletClient } from 'viem';
import { type ChainEIP712, type SendEip712TransactionParameters, type SendEip712TransactionReturnType } from 'viem/zksync';
export interface SendTransactionBatchParameters<request extends SendTransactionRequest<Chain> = SendTransactionRequest<Chain>> {
    calls: SendEip712TransactionParameters<Chain, Account, Chain, request>[];
    paymaster?: Address | undefined;
    paymasterInput?: Hex | undefined;
}
export declare function sendTransactionBatch<chain extends ChainEIP712 | undefined = ChainEIP712 | undefined, chainOverride extends ChainEIP712 | undefined = ChainEIP712 | undefined, request extends SendTransactionRequest<chain, chainOverride> = SendTransactionRequest<chain, chainOverride>>(client: Client<Transport, ChainEIP712, Account>, signerClient: WalletClient<Transport, ChainEIP712, Account>, publicClient: PublicClient<Transport, ChainEIP712>, parameters: SendTransactionBatchParameters<request>): Promise<SendTransactionReturnType>;
export declare function sendTransaction<chain extends ChainEIP712 | undefined = ChainEIP712 | undefined, account extends Account | undefined = Account | undefined, chainOverride extends ChainEIP712 | undefined = ChainEIP712 | undefined, const request extends SendTransactionRequest<chain, chainOverride> = SendTransactionRequest<chain, chainOverride>>(client: Client<Transport, ChainEIP712, Account>, signerClient: WalletClient<Transport, ChainEIP712, Account>, publicClient: PublicClient<Transport, ChainEIP712>, parameters: SendEip712TransactionParameters<chain, account, chainOverride, request>): Promise<SendEip712TransactionReturnType>;
//# sourceMappingURL=sendTransaction.d.ts.map