import { type Account, type Chain, type Client, type PublicClient, type SendTransactionRequest, type SendTransactionReturnType, type Transport, type WalletClient } from 'viem';
import { type ChainEIP712, type Eip712WalletActions } from 'viem/zksync';
import { type SendTransactionBatchParameters } from './actions/sendTransaction.js';
export type AbstractWalletActions<chain extends ChainEIP712 | undefined = ChainEIP712 | undefined, account extends Account | undefined = Account | undefined> = Eip712WalletActions<chain, account> & {
    sendTransactionBatch: <const request extends SendTransactionRequest<ChainEIP712>>(args: SendTransactionBatchParameters<request>) => Promise<SendTransactionReturnType>;
};
export declare function globalWalletActions<chain extends ChainEIP712 | undefined = ChainEIP712 | undefined, account extends Account | undefined = Account | undefined>(signerClient: WalletClient<Transport, ChainEIP712, Account>, publicClient: PublicClient<Transport, ChainEIP712>): (client: Client<Transport, ChainEIP712, Account>) => AbstractWalletActions<Chain, Account>;
//# sourceMappingURL=walletActions.d.ts.map